devel/libcfg+ - The NetBSD Packages Collection

Command line and configuration file parsing library

libcfg+ is a C library that features multi- command line and
configuration file parsing. It is possible to set up various special
properties such as quoting characters, deliminator strings, file comment
prefixes, multi-line postfixes, and more. It supports many data types
such as booleans, integers, decimal numbers, strings with many
additional data type flags (such as multiple values for a single
option).

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 8.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 8.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 8.0i386libcfg+-0.7.0.tgz
NetBSD 8.0i386libcfg+-0.7.0.tgz
NetBSD 8.0powerpclibcfg+-0.7.0.tgz
NetBSD 8.0powerpclibcfg+-0.7.0.tgz
NetBSD 8.0powerpclibcfg+-0.7.0.tgz
NetBSD 8.0powerpclibcfg+-0.7.0.tgz
NetBSD 8.0x86_64libcfg+-0.7.0.tgz
NetBSD 8.0x86_64libcfg+-0.7.0.tgz
NetBSD 9.0aarch64libcfg+-0.7.0.tgz
NetBSD 9.0aarch64libcfg+-0.7.0.tgz
NetBSD 9.0aarch64libcfg+-0.7.0.tgz
NetBSD 9.0alphalibcfg+-0.7.0.tgz
NetBSD 9.0alphalibcfg+-0.7.0.tgz
NetBSD 9.0alphalibcfg+-0.7.0.tgz
NetBSD 9.0earmlibcfg+-0.7.0.tgz
NetBSD 9.0earmlibcfg+-0.7.0.tgz
NetBSD 9.0earmlibcfg+-0.7.0.tgz
NetBSD 9.0earmv6hflibcfg+-0.7.0.tgz
NetBSD 9.0earmv6hflibcfg+-0.7.0.tgz
NetBSD 9.0earmv6hflibcfg+-0.7.0.tgz
NetBSD 9.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 9.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 9.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 9.0earmv7hflibcfg+-0.7.0.tgz
NetBSD 9.0i386libcfg+-0.7.0.tgz
NetBSD 9.0i386libcfg+-0.7.0.tgz
NetBSD 9.0i386libcfg+-0.7.0.tgz
NetBSD 9.0m68klibcfg+-0.7.0.tgz
NetBSD 9.0m68klibcfg+-0.7.0.tgz
NetBSD 9.0m68klibcfg+-0.7.0.tgz
NetBSD 9.0m68klibcfg+-0.7.0.tgz
NetBSD 9.0mips64eblibcfg+-0.7.0.tgz
NetBSD 9.0mips64eblibcfg+-0.7.0.tgz
NetBSD 9.0mips64eblibcfg+-0.7.0.tgz
NetBSD 9.0mips64eblibcfg+-0.7.0.tgz
NetBSD 9.0mips64eblibcfg+-0.7.0.tgz
NetBSD 9.0mipsellibcfg+-0.7.0.tgz
NetBSD 9.0mipsellibcfg+-0.7.0.tgz
NetBSD 9.0mipsellibcfg+-0.7.0.tgz
NetBSD 9.0mipsellibcfg+-0.7.0.tgz
NetBSD 9.0powerpclibcfg+-0.7.0.tgz
NetBSD 9.0powerpclibcfg+-0.7.0.tgz
NetBSD 9.0powerpclibcfg+-0.7.0.tgz
NetBSD 9.0powerpclibcfg+-0.7.0.tgz
NetBSD 9.0sh3ellibcfg+-0.7.0.tgz
NetBSD 9.0sh3ellibcfg+-0.7.0.tgz
NetBSD 9.0sh3ellibcfg+-0.7.0.tgz
NetBSD 9.0sh3ellibcfg+-0.7.0.tgz
NetBSD 9.0sh3ellibcfg+-0.7.0.tgz
NetBSD 9.0sparc64libcfg+-0.7.0.tgz
NetBSD 9.0sparc64libcfg+-0.7.0.tgz
NetBSD 9.0sparc64libcfg+-0.7.0.tgz
NetBSD 9.0sparclibcfg+-0.7.0.tgz
NetBSD 9.0sparclibcfg+-0.7.0.tgz
NetBSD 9.0sparclibcfg+-0.7.0.tgz
NetBSD 9.0sparclibcfg+-0.7.0.tgz
NetBSD 9.0sparclibcfg+-0.7.0.tgz
NetBSD 9.0vaxlibcfg+-0.7.0.tgz
NetBSD 9.0vaxlibcfg+-0.7.0.tgz
NetBSD 9.0vaxlibcfg+-0.7.0.tgz
NetBSD 9.0vaxlibcfg+-0.7.0.tgz
NetBSD 9.0x86_64libcfg+-0.7.0.tgz
NetBSD 9.0x86_64libcfg+-0.7.0.tgz
NetBSD 9.0x86_64libcfg+-0.7.0.tgz
NetBSD 9.0x86_64libcfg+-0.7.0.tgz
NetBSD 9.0x86_64libcfg+-0.7.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.